Bug 683727 - HTTPS request fails with TypeError: a float is required under Python 2.6 with httplib2
HTTPS request fails with TypeError: a float is required under Python 2.6 with...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-httplib2 (Show other bugs)
13
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-10 02:45 EST by James Ni
Modified: 2011-06-27 08:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 08:02:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Ni 2011-03-10 02:45:56 EST
Description of problem:

Version-Release number of selected component (if applicable):
0.4.0-4

How reproducible:

Steps to Reproduce:
1. import httplib2
2. http = httplib2.Http()
3. make a HTTPS request: such as: http.request("https://www.redhat.com", "GET")
  
Actual results:
TypeError: a float is required

Expected results:
response which status is 200 and content of the html

Additional info:
This issue is fixed on the upstream http://code.google.com/p/httplib2/issues/detail?id=39

I have test it with python 2.6.4 on Fedora 13, and it works. The version of httplib2 on Fedora 13 is 0.4.0 and come from Fedora 12. There is new version of httplib2(0.6.0), but it seems only available for Fedora 14, 15. so is it possible to patch the httplib2 version 0.4.0 and include it in Fedora 13?
Comment 1 Bug Zapper 2011-05-30 07:03:13 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 08:02:18 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.